import { IAnnotation } from '@ahryman40k/ts-fhir-types/lib/R4';
import { AbstractDetailsComponent } from '../../../../../shared/abstracts/details/abstract-details/abstract-details.component';
export declare class AlertCommentDetailsComponent extends AbstractDetailsComponent<IAnnotation> {
    user: any;
    constructor();
    more(): void;
    checkForPermission(): boolean;
}
